Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.netflix.config.sources
Class DynamoDbConfigurationSource

    java.lang.Object
      com.netflix.config.sources.DynamoDbConfigurationSource

All Implemented Interfaces:
  PolledConfigurationSource

    public class DynamoDbConfigurationSource

extends java.lang.Object
implements PolledConfigurationSource

User: gorzell Date: 8/6/12

Constructor Summary
`DynamoDbConfigurationSource()`
`DynamoDbConfigurationSource(com.amazonaws.services.dynamodb.AmazonDynamoDB dbClient)`
`DynamoDbConfigurationSource(com.amazonaws.auth.AWSCredentials credentials)`

Method Summary
`PollResult` | `poll(boolean initial, java.lang.Object checkPoint)` Poll the configuration source to get the latest content.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DynamoDbConfigurationSource

    public DynamoDbConfigurationSource()

### DynamoDbConfigurationSource

    public DynamoDbConfigurationSource(com.amazonaws.auth.AWSCredentials credentials)

### DynamoDbConfigurationSource

    public DynamoDbConfigurationSource(com.amazonaws.services.dynamodb.AmazonDynamoDB dbClient)

Method Detail

### poll

    public PollResult poll(boolean initial,
                           java.lang.Object checkPoint)
                    throws java.lang.Exception

  Description copied from interface: `PolledConfigurationSource`
  Poll the configuration source to get the latest content.

  Specified by:
    `poll` in interface `PolledConfigurationSource`
  Parameters:
    `initial` - true if this operation is the first poll.
    `checkPoint` - Object that is used to determine the starting point if the result returned is incremental. Null if there is no check point or the caller wishes to get the full content.
  Returns:
    The content of the configuration which may be full or incremental.
  Throws:
    `java.lang.Exception` - If any exception occurs when fetching the configurations.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD